> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigcapital.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke an API key



## OpenAPI

````yaml api-reference/openapi.json put /api/api-keys/{id}/revoke
openapi: 3.0.0
info:
  title: Bigcapital
  description: Financial accounting software
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/api-keys/{id}/revoke:
    put:
      tags:
        - Api keys
      summary: Revoke an API key
      operationId: AuthApiKeysController_revoke
      parameters:
        - name: Authorization
          in: header
          description: >-
            Value must be 'Bearer <token>' where <token> is an API key prefixed
            with 'bc_' or a JWT token.
          required: true
          schema:
            type: string
            example: Bearer bc_1234567890abcdef
        - name: organization-id
          in: header
          description: >-
            Required if Authorization is a JWT token. The organization ID to
            operate within.
          required: true
          schema:
            type: string
        - name: id
          required: true
          in: path
          description: API key ID
          schema:
            type: number
      responses:
        '200':
          description: API key revoked
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiKeyRevokeResponseDto'
components:
  schemas:
    ApiKeyRevokeResponseDto:
      type: object
      properties:
        id:
          type: number
          example: 1
          description: API key ID
        revoked:
          type: boolean
          example: true
          description: Whether the API key was revoked
      required:
        - id
        - revoked

````